<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "brand_t".
 *
 * @property integer $id
 * @property string $name
 * @property string $created_at
 * @property string $updated_at
 */
class BrandT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'brand_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['created_at', 'updated_at'], 'safe'],
            [['name'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public function getSeries()
    {
        return $this->hasMany(SeriesT::className(),['brand_id'=>'id']);
    }

    public function getDisplacements()
    {
        return $this->hasMany(DisplacementT::className(),['brand_id'=>'id']);
    }
}
